Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.ejbjar31
Interface CmpFieldType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  CmpFieldTypeImpl

    public interface CmpFieldType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `cmp-fieldType` xsd type

Original Documentation:

The cmp-fieldType describes a container-managed field. The
cmp-fieldType contains an optional description of the field,
and the name of the field.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.lang.String` | `getFieldName()` Returns the `field-name` element
`CmpFieldType<T>` | `removeAllDescription()` Removes the `description` element
`CmpFieldType<T>` | `removeFieldName()` Removes the `field-name` element
`CmpFieldType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`CmpFieldType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`CmpFieldType<T>` | `setFieldName(java.lang.String fieldName)` If not already created, a new `field-name` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setDescription

    CmpFieldType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `CmpFieldType`

### setDescriptionList

    CmpFieldType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `CmpFieldType`

### removeAllDescription

    CmpFieldType<T> removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `CmpFieldType`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### setFieldName

    CmpFieldType<T> setFieldName(java.lang.String fieldName)

  If not already created, a new `field-name` element with the given value will be created. Otherwise, the existing `field-name` element will be updated with the given value.

  Returns:
    the current instance of `CmpFieldType`

### removeFieldName

    CmpFieldType<T> removeFieldName()

  Removes the `field-name` element

  Returns:
    the current instance of `CmpFieldType`

### getFieldName

    java.lang.String getFieldName()

  Returns the `field-name` element

  Returns:
    the node defined for the element `field-name`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD